package model

type CentralKitchenWxTransferOrd struct {
	Id          int    `json:"id" xorm:"not null pk autoincr INT"`
	Appid       string `json:"appid" xorm:"not null default '' comment('商户appid') CHAR(50)"`
	OutTradeNo  string `json:"out_trade_no" xorm:"not null default '' comment('商家批次单号') CHAR(50)"`
	BatchName   string `json:"batch_name" xorm:"not null default '' comment('批次名称') CHAR(50)"`
	BatchRemark string `json:"batch_remark" xorm:"not null default '' comment('批次备注') CHAR(50)"`
	TotalAmount string `json:"total_amount" xorm:"not null default 0.00 comment('转账总金额') DECIMAL(6,2)"`
	TotalNum    int    `json:"total_num" xorm:"not null default 0 comment('转账总笔数') TINYINT"`
	State       int    `json:"state" xorm:"not null default 1 comment('状态(1:已受理 2:转账中 3:已完成 4:已关闭)') TINYINT(1)"`
	Msg         string `json:"msg" xorm:"not null comment('具体原因') TEXT"`
	CreateAt    string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt    string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
