package model

type SuggestedFeedback struct {
	Id             int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid            int    `json:"uid" xorm:"not null comment('用户id') INT(11)"`
	UserIdentityId int    `json:"user_identity_id" xorm:"not null comment('身份id') INT(11)"`
	EnterpriseId   int    `json:"enterprise_id" xorm:"not null comment('单位id') INT(11)"`
	Content        string `json:"content" xorm:"not null default '' comment('反馈内容') VARCHAR(255)"`
	ReplyContent   string `json:"reply_content" xorm:"not null default '' comment('回复内容') VARCHAR(255)"`
	ReplyDate      string `json:"reply_date" xorm:"not null default '' comment('回复时间') CHAR(50)"`
	CreateAt       string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt       string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
