package svc

import (
	md2 "applet/app/customer/md"
	svc2 "applet/app/customer/svc"
	"applet/app/db"
	"applet/app/db/model"
	"applet/app/enum"
	"applet/app/utils"
	"encoding/json"
	"fmt"
	"xorm.io/xorm"
)

func CentralKitchenForSchoolAlipayTradeFastpayRefundQuery(eg *xorm.Engine) {
	var list []model.CentralKitchenForSchoolUserRefundDay
	if err := db.Db.Where("refund_date >= '2024-01-17 12:00:00' AND state = 3").Desc("id").Find(&list); err != nil {
		fmt.Println(err)
	}
	sysCfgDb := db.SysCfgDb{}
	sysCfgDb.Set()
	sysCfg := sysCfgDb.SysCfgFindWithDb(enum.JsapiPayAppAutToken, enum.OpenAlipayAppid, enum.OpenAlipayAppPrivateKey, enum.OpenAlipayPublicKey, enum.WxJsapiRefundPayNotifyUrl)

	for _, v := range list {
		affected1, err := db.Db.Where("id=?", v.RecordsId).Cols("state").Update(&model.CentralKitchenForSchoolUserWithDay{
			State: 3,
		})
		if err != nil {
			fmt.Println(err)
		}
		fmt.Println(">>>>>>>>>>>>>>>>>affected1<<<<<<<<<<<<<<<<<<<", affected1)
		continue

		err, data := svc2.CurlAlipayTradeRefundQuery(md2.CurlAlipayTradeRefundQueryReq{
			Config: struct {
				PayAliAppId      string `json:"pay_ali_app_id" label:"支付宝开放平台-第三方应用-appid"`
				PayAliPrivateKey string `json:"pay_ali_private_key" label:"支付宝开放平台-第三方应用-接口加签-应用私钥"`
				PayAliPublicKey  string `json:"pay_ali_public_key" label:"支付宝开放平台-第三方应用-接口加签-支付宝公钥"`
			}{
				PayAliAppId:      sysCfg[enum.OpenAlipayAppid],
				PayAliPrivateKey: sysCfg[enum.OpenAlipayAppPrivateKey],
				PayAliPublicKey:  sysCfg[enum.OpenAlipayPublicKey],
			},
			OutTradeNo:   v.OutTradeNo,
			OutRequestNo: v.OutRequestNo,
			AppAuthToken: sysCfg[enum.JsapiPayAppAutToken],
		})

		if err != nil {
			fmt.Println("err:::::", err.Error())
		}
		var dataMap map[string]string
		err = json.Unmarshal([]byte(utils.SerializeStr(data)), &dataMap)
		if dataMap["out_request_no"] == "" && dataMap["refund_status"] != "REFUND_SUCCESS" {

			var mm []model.CentralKitchenForSchoolUserRefundDay
			if err1 := db.Db.Where("out_request_no = ?", v.OutRequestNo).Desc("id").Find(&mm); err != nil {
				fmt.Println(err1)
			}

			//var amount float64
			for _, vv := range mm {
				//amount += utils.StrToFloat64(vv.Amount)
				vv.State = 3
				affected1, err := db.Db.Where("id=?", vv.Id).Cols("state").Update(&vv)
				if err != nil {
					fmt.Println(err)
				}
				fmt.Println(">>>>>>>>>>>>>>>>>affected1<<<<<<<<<<<<<<<<<<<", affected1)
			}

			//err6, _ := svc2.CurlAlipayTradeRefund(md2.CurlAlipayTradeRefundReq{
			//	Config: struct {
			//		PayAliAppId      string `json:"pay_ali_app_id" label:"支付宝开放平台-第三方应用-appid"`
			//		PayAliPrivateKey string `json:"pay_ali_private_key" label:"支付宝开放平台-第三方应用-接口加签-应用私钥"`
			//		PayAliPublicKey  string `json:"pay_ali_public_key" label:"支付宝开放平台-第三方应用-接口加签-支付宝公钥"`
			//	}{
			//		PayAliAppId:      sysCfg[enum.OpenAlipayAppid],
			//		PayAliPrivateKey: sysCfg[enum.OpenAlipayAppPrivateKey],
			//		PayAliPublicKey:  sysCfg[enum.OpenAlipayPublicKey],
			//	},
			//	OutTradeNo:   v.OutTradeNo,
			//	RefundAmount: utils.Float64ToStr(amount),
			//	RefundReason: "央厨订餐退款",
			//	OutRequestNo: v.OutRequestNo,
			//	AppAuthToken: sysCfg[enum.JsapiPayAppAutToken],
			//})
			//if err6 != nil {
			//	fmt.Println(err6)
			//}
		}
		fmt.Println(dataMap)
	}
}
